StatementArgumentDefinition
Keywords: uk.ac.ic.doc.automed.reps.StatementArgumentDefinition,StatementArgumentDefinition class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class StatementArgumentDefinition

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.reps.StatementArgumentDefinition

public class StatementArgumentDefinition
extends java.lang.Object

The class used to define a statement's arguments.

See Also:
  `

  A StatementArgumentDefinition object is used to define and describe a statement's argument. StatementArgumentDefinition objects can be created through a Statement object.

  `

Constructor Summary
`protected` | `StatementArgumentDefinition(int stId, int position, java.lang.String tableName, java.lang.String fieldName, java.lang.String description)` Constructs a new StatementArgumentDefinition.

Method Summary
`protected static java.util.ArrayList` | `getArgumentDefinitionsForStatement(int stId)` Returns all the StatementArgumentDefinition objects of the specified statement.
`java.lang.String` | `getDescription()` Returns the description of this StatementArgumentDefinition.
`java.lang.String` | `getFieldName()` Returns the fieldname of this StatementArgumentDefinition.
`int` | `getPosition()` Returns the position in the statement's argument definition list of this StatementArgumentDefinition.
`int` | `getStId()` Returns the statement identifier defining which statement this StatementArgumentDefinition belongs to.
`java.lang.String` | `getTableName()` Returns the tablename of this StatementArgumentDefinition.
`void` | `print()`
`protected void` | `remove()` Removes this StatementArgumentDefinition from the TTSR.
`void` | `setDescription(java.lang.String description)` Sets the description of this StatementArgumentDefinition.
`void` | `setFieldName(java.lang.String name)` Sets the fieldname of this StatementArgumentDefinition.
`void` | `setTableName(java.lang.String name)` Sets the tablename of this StatementArgumentDefinition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatementArgumentDefinition

    protected StatementArgumentDefinition(int stId,
                                          int position,
                                          java.lang.String tableName,
                                          java.lang.String fieldName,
                                          java.lang.String description)
                                   throws TemplateTransformationSyntaxRepositoryException,
                                          RepositoryAccessException

  Constructs a new StatementArgumentDefinition.

Parameters:
  `stId` - statement identifier defining which statement this argument definition belongs to.
  `position` - the position in the statement's argument definition list of this StatementArgumentDefinition
  `tableName` - name of the table defining this argument.
  `fieldName` - name of the table's field, defining this argument.
  `description` - description of this argument
Throws:
  `TemplateTransformationSyntaxRepositoryException` - see `TemplateTransformationSyntaxRepository.createStatementDefinition(int, int, String, String, String)`
  `RepositoryAccessException` - if the repositories cannot be accessed

Method Detail

### getTableName

    public java.lang.String getTableName()
                                  throws TemplateTransformationSyntaxRepositoryException,
                                         RepositoryAccessException

  Returns the tablename of this StatementArgumentDefinition.

  Returns:
    tablename of this StatementArgumentDefinition.
  Throws:
    `TemplateTransformationSyntaxRepositoryException` - see `TemplateTransformationSyntaxRepository.getStatementDefinitionTableName(int, int)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### getFieldName

    public java.lang.String getFieldName()
                                  throws TemplateTransformationSyntaxRepositoryException,
                                         RepositoryAccessException

  Returns the fieldname of this StatementArgumentDefinition.

  Returns:
    fieldname of this StatementArgumentDefinition.
  Throws:
    `TemplateTransformationSyntaxRepositoryException` - see `TemplateTransformationSyntaxRepository.getStatementDefinitionFieldName(int, int)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### getDescription

    public java.lang.String getDescription()
                                    throws TemplateTransformationSyntaxRepositoryException,
                                           RepositoryAccessException

  Returns the description of this StatementArgumentDefinition.

  Returns:
    description of this StatementArgumentDefinition.
  Throws:
    `TemplateTransformationSyntaxRepositoryException` - see `TemplateTransformationSyntaxRepository.getStatementDefinitionDescription(int, int)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### setTableName

    public void setTableName(java.lang.String name)
                      throws TemplateTransformationSyntaxRepositoryException,
                             RepositoryAccessException

  Sets the tablename of this StatementArgumentDefinition.

  Parameters:
    `name` - this StatementArgumentDefinition's new tablename.
  Throws:
    `TemplateTransformationSyntaxRepositoryException` - see `TemplateTransformationSyntaxRepository.setStatementDefinitionTableName(int, int, String)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### setFieldName

    public void setFieldName(java.lang.String name)
                      throws TemplateTransformationSyntaxRepositoryException,
                             RepositoryAccessException

  Sets the fieldname of this StatementArgumentDefinition.

  Parameters:
    `name` - this StatementArgumentDefinition's new fieldname.
  Throws:
    `TemplateTransformationSyntaxRepositoryException` - see `TemplateTransformationSyntaxRepository.setStatementDefinitionFieldName(int, int, String)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### setDescription

    public void setDescription(java.lang.String description)
                        throws TemplateTransformationSyntaxRepositoryException,
                               RepositoryAccessException

  Sets the description of this StatementArgumentDefinition.

  Parameters:
    `description` - this StatementArgumentDefinition's new description.
  Throws:
    `TemplateTransformationSyntaxRepositoryException` - see `TemplateTransformationSyntaxRepository.setStatementDefinitionDescription(int, int, String)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### remove

    protected void remove()
                   throws TemplateTransformationSyntaxRepositoryException,
                          RepositoryAccessException

  Removes this StatementArgumentDefinition from the TTSR.

  Throws:
    `TemplateTransformationSyntaxRepositoryException` - see `TemplateTransformationSyntaxRepository.removeStatementDefinition(int, int)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### getStId

    public int getStId()

  Returns the statement identifier defining which statement this StatementArgumentDefinition belongs to.

  Returns:
    stId of this StatementArgumentDefinition.

### getPosition

    public int getPosition()

  Returns the position in the statement's argument definition list of this StatementArgumentDefinition.

  Returns:
    position of this StatementArgumentDefinition.

### getArgumentDefinitionsForStatement

    protected static java.util.ArrayList getArgumentDefinitionsForStatement(int stId)
                                                                     throws TemplateTransformationSyntaxRepositoryException,
                                                                            RepositoryAccessException

  Returns all the StatementArgumentDefinition objects of the specified statement. Return `null` if no StatementArumentDefinition object exist

  Parameters:
    `stId` - ID of statement that the StatementArgumentDefinition objects will belong to
  Returns:
    an ArrayList of StatementArgumentDefinition objects
  Throws:
    `TemplateTransformationSyntaxRepositoryException` - see `TemplateTransformationSyntaxRepository.getStatementDefinitionArgPosList(int)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### print

    public void print()
               throws TemplateTransformationSyntaxRepositoryException,
                      RepositoryAccessException

    `TemplateTransformationSyntaxRepositoryException`
    `RepositoryAccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD